

EXTRA_LIBS= 
CC_OPT= -g

CC_FLAGS=$(CFLAGS) -I../lang-common $(HAVE_DYNAMIC)

LITE_OBJS= parser.o lite_lex.o lite.o symtab.o types.o code-gen.o code-sim.o extern.o modules.o http.o fcrypt.o $(MODS) mod_lite.o


!object lite.o lite.c
!object lite_lex.o lite_lex.c
!object mod_lite.o mod_lite.c
!object modules.o modules.c


!program lite mod_lite.o,../lang-common/mod_std.o,../lang-common/mod_msql.o,lite.o,lite_lex.o,modules.o,../lang-common/liblite.a,../msql/libmsql.a,../regexp/libregexp.a

#
# Debugging compilations
#
# Note : if you want to build lextest and you are using the GNU cpp (for
# example, you are using gcc to compile this code) you'll have to put
# -traditional in the compilation line below.  If you don't, you'll get
# some ANSI cpp garbage that doesn't let you expand a macro param within
# quotes.  In this case you'll get a line of 'x' characters down the left
# side of the screen when you run lextest.
#

lextest: lite_lex.c
	$(CC) -traditional $(CC_FLAGS) -DLEX_DEBUG -DNOTDEF -g -o lextest lite_lex.c


!install lite $(INST_DIR)/bin/lite 0755
!install lite_lex.o $(INST_DIR)/lib/lite_lex.o 0755
!install mod_lite.o $(INST_DIR)/lib/mod_lite.o 0755

mod_lite.o: ../lang-common/lite.h 
mod_lite.o: ../common/portability.h
mod_lite.o: ../common/config.h 
mod_lite.o: ../regexp/regexp.h

lite.o: ../lang-common/lite.h 
lite.o: ../common/portability.h
lite.o: ../common/config.h 
lite.o: ../regexp/regexp.h

lite_lex.o: ../lang-common/lite.h 
lite_lex.o: ../common/portability.h
lite_lex.o: ../common/config.h 
lite_lex.o: ../regexp/regexp.h

modules.o: ../lang-common/lite.h 
modules.o: ../common/portability.h
modules.o: ../common/config.h 
modules.o: ../regexp/regexp.h
modules.o: ../lang-common/mod_std.h
modules.o: ../lang-common/mod_msql.h
